Package kiyut.sketsa.undo

## Class DOMUndoableEdit

- java.lang.Object
- - javax.swing.undo.AbstractUndoableEdit
  - - kiyut.sketsa.undo.DOMUndoableEdit

- All Implemented Interfaces:
    `Serializable`, `UndoableEdit`

      public class DOMUndoableEdit
      extends AbstractUndoableEdit

  Implementation of DOMUndoableEdit
  Author:
    KIYUT
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.undo.AbstractUndoableEdit

      `RedoName, UndoName`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DOMUndoableEdit​(String type, Node node, Node relatedNode, String prevValue, String newValue, String attrName, short attrChange)` | Creates a new instance of DOMUndoableEdit

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `redo()` |
    `void` | `undo()` |

    - ### Methods inherited from class javax.swing.undo.AbstractUndoableEdit

      `addEdit, canRedo, canUndo, die, getPresentationName, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DOMUndoableEdit

          public DOMUndoableEdit​(String type,
                                 Node node,
                                 Node relatedNode,
                                 String prevValue,
                                 String newValue,
                                 String attrName,
                                 short attrChange)

      Creates a new instance of DOMUndoableEdit
      Parameters:
        `type` - DOM Mutation Event type
        `node` - the Node
        `relatedNode` - the related Node
        `prevValue` - The prevValue
        `newValue` - The newValue
        `attrName` - Attribute Name
        `attrChange` - Attribute Change

  - ### Method Detail

    - #### undo

          public void undo()
                    throws CannotUndoException

      Specified by:
        `undo` in interface `UndoableEdit`
      Overrides:
        `undo` in class `AbstractUndoableEdit`
      Throws:
        `CannotUndoException`

    - #### redo

          public void redo()
                    throws CannotRedoException

      Specified by:
        `redo` in interface `UndoableEdit`
      Overrides:
        `redo` in class `AbstractUndoableEdit`
      Throws:
        `CannotRedoException`